kits_ARCHIVE/karma/karma/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('kits.urls')),
    path('accounts/', include('django.contrib.auth.urls')),
]

kits_ARCHIVE/karma/kits/urls.py
from django.urls import path, re_path
from . import views
from django.contrib.auth import views as auth_views
from .views import WarningListView, UpdateWarningTicketView, PlayerDetailListView, UpdateReviveTicketView, ReviveListView, DeleteReviveTicketView, DeleteWarningTicketView, RulesView, PasswordsChangeView, ServerConfig, GameConfig  # courtesy 

app_name = 'kits'

urlpatterns = [
    path('', views.index, name='index'),
    path('ticket_call/', views.ticket_call, name='ticket_call'),
     path('rules_edit/', views.rules_edit, name='rules_edit'),
    path('getPunishedInfo/', views.getPunishedInfo, name='getPunishedInfo'),
    path('login/', views.login, name='login'),
    path('courtesy/<str:ids>/<str:extra>', views.courtesy, name='courtesy'),
    path('password/', PasswordsChangeView.as_view(template_name='registration/change-password.html'), name='change_password'),
    path('warning_list', views.WarningListView.as_view(), name='warning_list'),
    path('revive_list', ReviveListView.as_view(), name='revive_list'),
    path('rules', RulesView.as_view(), name='rules'),
    path('server_config', views.ServerConfig, name='server_config'),
    path('game_config', views.GameConfig, name='game_config'),
    path('player_detail/<int:pk>', PlayerDetailListView.as_view(), name='player_detail'),
    path('kits/tickets_update/<int:pk>', UpdateWarningTicketView.as_view(), name='editticket'),
    path('kits/rtickets_update/<int:pk>', UpdateReviveTicketView.as_view(), name='deleteticket'),
    path('kits/tickets_delete/<int:pk>', DeleteWarningTicketView.as_view(), name='editrticket'),
    path('kits/rtickets_delete/<int:pk>', DeleteReviveTicketView.as_view(), name='deleterticket'),
]

kits_ARCHIVE/karma/templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>KITS</title>
    <link rel="icon" type="image/png" href="{% static 'kits/img/favicon.ico' %}"/>
    <!-- load bootstrap and CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-gH2yIJqKdNHPEq0n4Mqa/HGKIhSkIHeL5AyhkYV8i59U5AR6csBvApHHNl/vI1Bx" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static "kits/css/master.css" %}"/>
    <link rel="stylesheet" href="{% static "kits/css/fields.css" %}"/>
    <link rel="stylesheet" href="{% static "kits/css/multi-select.css" %}"/>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css">


  </head>
  <body>
    <!--  Navbar -->
    <nav class="navbar navbar-dark bg-dark navbar-fixed-top">
      <div class="container-fluid">
        <h1 class="col text-center">Karma Interactive Ticketing System (KITS)</h1>
      </div>
    </nav>
    <nav class="navbar navbar-expand bg-light">
      <div class="container-fluid">
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="{% url 'kits:index' %}">New Ticket</a>
            </li>
            <li class="nav-item">
               <a class="nav-link active" href="{% url 'kits:warning_list' %}">Warnings</a>
            </li>
            <li class="nav-item">
              <a class="nav-link active" href="{% url 'kits:revive_list' %}">Revives</a>
            </li>
            {% if request.user.is_staff %}
              <li class="nav-item">
                <a class="nav-link active" href="/admin">Admin</a>
              </li>
            {% endif %}
            {% if request.user.is_superuser %}
              <li class="nav-item">
                <a class="nav-link active" href="{% url 'kits:game_config' %}">Game Config</a>
              </li>
              <li class="nav-item">
                <a class="nav-link active" href="{% url 'kits:server_config' %}">Server Config</a>
              </li>
            {% endif %}
            <li class="nav-item">
              <a class="nav-link active" href="{% url 'logout' %}">Logout</a>
            </li>
            {% if not request.user.is_authenticated %}
              <li class="nav-item">
                <a class="nav-link active" href="{% url 'login' %}">Login</a>
              </li>
            {% endif %}
          </ul>
          <ul class="navbar-nav">
            <li class="nav-item">
              <h5 class="nav-link active">Welcome back <a href="password">{{ user.get_username }}</a></h5>
            </li>
          </ul>
          {% comment %} <form class="d-flex" method="GET" action="{% url 'kits:warning_list' %}">
            {% csrf_token %}
            <input class="form-control me-2" name="searched" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-success" type="submit">Search</button>
          </form> {% endcomment %}
        </div>
      </div>
    </nav>
    <!-- Navbar -->


    {% block content %}
    {% endblock %}

        <!-- load JS libraries -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.quicksearch/2.4.0/jquery.quicksearch.min.js"></script> -->
        <script src="{% static "kits/js/functions.js" %}"></script>
        <script src="{% static "kits/js/jquery.multi-select.js" %}"></script>
        <script src="{% static "kits/js/jquery.quicksearch.js" %}"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-A3rJD856KowSb7dwlZdYEkO39Gagi7vIsF0jrRAoQmDKKtQBHUuLZ9AsSv4jD4Xa" crossorigin="anonymous"></script>
        <!-- <script type="text/javascript">
            // run pre selected options
            $('[id^=rbSelect]').multiSelect();
        </script> -->
  </body>
</html>

kits_ARCHIVE/karma/templates/baseDark.html
{% load static %}
<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>KITS</title>
    <link rel="icon" type="image/png" href="{% static 'kits/img/favicon.ico' %}"/>
    <!-- load bootstrap and CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-gH2yIJqKdNHPEq0n4Mqa/HGKIhSkIHeL5AyhkYV8i59U5AR6csBvApHHNl/vI1Bx" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static "kits/css/master.css" %}"/>
    <link rel="stylesheet" href="{% static "kits/css/fields.css" %}"/>
    <link rel="stylesheet" href="{% static "kits/css/multi-select.css" %}"/>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css">


  </head>
  <body>
    <!-- Navbar Title -->
    <nav class="navbar navbar-dark bg-dark navbar-fixed-top">
      <div class="container-fluid">
        <h1 class="col text-center">Karma Interactive Ticketing System (KITS)</h1>
      </div>
    </nav>
    <hr style="padding: 0px; margin: 0px;">
    <!-- Navbar Menu -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container-fluid">
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ml-auto mb-2">
                    <li class="nav-item">
                    <a class="nav-link" aria-current="page" href="{% url 'kits:index' %}">New Ticket</a>
                    </li>
                    <li class="nav-item">
                    <a class="nav-link" href="{% url 'kits:warning_list' %}">Warnings</a>
                    </li>
                    <li class="nav-item">
                    <a class="nav-link" href="{% url 'kits:revive_list' %}">Revives</a>
                    </li>
                    {% if request.user.is_staff %}
                        <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            Admin
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <li><a class="dropdown-item" href="/admin">Admin Page</a></li>
                        {% if request.user.is_superuser %}
                            <li><hr class="dropdown-divider"></li>
                            <li><a class="dropdown-item"href="{% url 'kits:game_config' %}">Game Config</a></li>
                            <li><a class="dropdown-item" href="{% url 'kits:server_config' %}">Server Config</a></li>
                        {% endif %}
                        </ul>
                        </li>
                    {% endif %}
                    <li class="nav-item dropdown mr-auto dropdown-menu-end">
                        <a class="nav-link dropdown-toggle me-2" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false" href="#">Account</a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <li><a class="dropdown-item" href="password">Change Password</a></li>
                            <li><a class="dropdown-item" href="{% url 'logout' %}">Logout {{ user.get_username }}</a></li>
                        </ul>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" aria-current="page" target="_blank" href="https://docs.google.com/spreadsheets/d/1lEUtoQpTtl7rtuvxB9KFcToDnVxyjGFCU0NUN9EyaOc/edit?usp=sharing">Bug Report</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <hr style="padding: 0px; margin: 0px;">



    <!-- Main Content -->
    {% block content %}
    {% endblock %}

        <!-- load JS libraries -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <script src="{% static "kits/js/functions.js" %}"></script>
        <script src="{% static "kits/js/jquery.multi-select.js" %}"></script>
        <script src="{% static "kits/js/jquery.quicksearch.js" %}"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-A3rJD856KowSb7dwlZdYEkO39Gagi7vIsF0jrRAoQmDKKtQBHUuLZ9AsSv4jD4Xa" crossorigin="anonymous"></script>
  </body>
</html>

kits_ARCHIVE/karma/templates/base_login.html
{% load static %}
<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>KITS</title>
    <!-- load bootstrap and CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-gH2yIJqKdNHPEq0n4Mqa/HGKIhSkIHeL5AyhkYV8i59U5AR6csBvApHHNl/vI1Bx" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static "kits/css/master.css" %}"/>
    <link rel="stylesheet" href="{% static "kits/css/multi-select.css" %}"/>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css">


  </head>
  <body>


    {% block content %}
    {% endblock %}

        <!-- load JS libraries -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.quicksearch/2.4.0/jquery.quicksearch.min.js"></script> -->
        <script src="{% static "kits/js/functions.js" %}"></script>
        <script src="{% static "kits/js/jquery.multi-select.js" %}"></script>
        <script src="{% static "kits/js/jquery.quicksearch.js" %}"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-A3rJD856KowSb7dwlZdYEkO39Gagi7vIsF0jrRAoQmDKKtQBHUuLZ9AsSv4jD4Xa" crossorigin="anonymous"></script>
        <!-- <script type="text/javascript">
            // run pre selected options
            $('[id^=rbSelect]').multiSelect();
        </script> -->
  </body>
</html>